//
// Simple demo of ESP32-C3 Dev Board with Integrated 0.42" OLED
//    from HackerBox 0111:
//    https://hackerboxes.com/products/hackerbox-0111-relay
//
// Requires the Universal 8bit Graphics Library from olikraus
//    https://github.com/olikraus/u8g2/wiki
// (U8g2 can be installed from the Arduino IDE Library Manager)
//

#include <Arduino.h>
#include <U8g2lib.h>
#include <Wire.h>

#define BLUE_LED 8
#define SDA_PIN  5
#define SCL_PIN  6

U8G2_SSD1306_72X40_ER_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE);

void setup(void) {
  pinMode(BLUE_LED, OUTPUT);
  Wire.begin(SDA_PIN, SCL_PIN);
  u8g2.begin();
}

void loop(void) {
  u8g2.clearBuffer();
  u8g2.setFont(u8g2_font_6x10_mf);
  u8g2.drawStr(0,10," HackerBoxes");
  u8g2.drawStr(0,27,"  Hack The");
  u8g2.drawStr(0,38,"   Planet");
  u8g2.sendBuffer();
  while(true) {
    digitalWrite(BLUE_LED, HIGH);
    delay(500);
    digitalWrite(BLUE_LED, LOW);
    delay(500);   
  }
}